Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class OpenMBeanParameterInfoSupport

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanParameterInfo
              javax.management.openmbean.OpenMBeanParameterInfoSupport

All Implemented Interfaces:
  java.lang.Cloneable, OpenMBeanParameterInfo, java.io.Serializable

public class OpenMBeanParameterInfoSupport
extends MBeanParameterInfo
implements OpenMBeanParameterInfo, java.io.Serializable

Describes a parameter used in one or more operations or constructors of an open MBean.

Since:
  JMX 1.1
Version:
  3.28 03/12/19
Author:
  Sun Microsystems, Inc.
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`OpenMBeanParameterInfoSupport(java.lang.String name, java.lang.String description, OpenType openType)` Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType and description.
`OpenMBeanParameterInfoSupport(java.lang.String name, java.lang.String description, OpenType openType, java.lang.Object defaultValue)` Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType, description and defaultValue.
`OpenMBeanParameterInfoSupport(java.lang.String name, java.lang.String description, OpenType openType, java.lang.Object defaultValue, java.lang.Comparable minValue, java.lang.Comparable maxValue)` Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType, description, defaultValue, minValue and maxValue.
`OpenMBeanParameterInfoSupport(java.lang.String name, java.lang.String description, OpenType openType, java.lang.Object defaultValue, java.lang.Object[] legalValues)` Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType, description, defaultValue and legalValues.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the specified obj parameter with this `OpenMBeanParameterInfoSupport` instance for equality.
`java.lang.Object` | `getDefaultValue()` Returns the default value for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.
`java.util.Set` | `getLegalValues()` Returns an unmodifiable Set of legal values for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.
`java.lang.Comparable` | `getMaxValue()` Returns the maximal value for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.
`java.lang.Comparable` | `getMinValue()` Returns the minimal value for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.
`OpenType` | `getOpenType()` Returns the open type for the values of the parameter described by this `OpenMBeanParameterInfoSupport` instance.
`boolean` | `hasDefaultValue()` Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null default value for the described parameter, `false` otherwise.
`int` | `hashCode()` Returns the hash code value for this `OpenMBeanParameterInfoSupport` instance.
`boolean` | `hasLegalValues()` Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null set of legal values for the described parameter, `false` otherwise.
`boolean` | `hasMaxValue()` Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null maximal value for the described parameter, `false` otherwise.
`boolean` | `hasMinValue()` Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null minimal value for the described parameter, `false` otherwise.
`boolean` | `isValue(java.lang.Object obj)` Tests whether obj is a valid value for the parameter described by this `OpenMBeanParameterInfo` instance.
`java.lang.String` | `toString()` Returns a string representation of this `OpenMBeanParameterInfoSupport` instance.

Methods inherited from class javax.management.MBeanParameterInfo
`clone, getType`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.openmbean.OpenMBeanParameterInfo
`getDescription, getName`

Constructor Detail

### OpenMBeanParameterInfoSupport

    public OpenMBeanParameterInfoSupport(java.lang.String name,
                                         java.lang.String description,
                                         OpenType openType)

  Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType and description.

Parameters:
  `name` - cannot be a null or empty string.
  `description` - cannot be a null or empty string.
  `openType` - cannot be null.
Throws:
  `java.lang.IllegalArgumentException` - if name or description are null or empty string, or openType is null.

### OpenMBeanParameterInfoSupport

    public OpenMBeanParameterInfoSupport(java.lang.String name,
                                         java.lang.String description,
                                         OpenType openType,
                                         java.lang.Object defaultValue)
                                  throws OpenDataException

  Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType, description and defaultValue.

Parameters:
  `name` - cannot be a null or empty string.
  `description` - cannot be a null or empty string.
  `openType` - cannot be null.
  `defaultValue` - must be a valid value for the openType specified for this parameter; default value not supported for `ArrayType` and `TabularType`; can be null, in which case it means that no default value is set.
Throws:
  `java.lang.IllegalArgumentException` - if name or description are null or empty string, or openType is null.
  `OpenDataException` - if defaultValue is not a valid value for the specified openType, or defaultValue is non null and openType is an `ArrayType` or a `TabularType`.

### OpenMBeanParameterInfoSupport

    public OpenMBeanParameterInfoSupport(java.lang.String name,
                                         java.lang.String description,
                                         OpenType openType,
                                         java.lang.Object defaultValue,
                                         java.lang.Object[] legalValues)
                                  throws OpenDataException

  Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType, description, defaultValue and legalValues. The contents of legalValues are internally dumped into an unmodifiable `Set`, so subsequent modifications of the array referenced by legalValues have no impact on this `OpenMBeanParameterInfoSupport` instance.

Parameters:
  `name` - cannot be a null or empty string.
  `description` - cannot be a null or empty string.
  `openType` - cannot be null.
  `defaultValue` - must be a valid value for the openType specified for this parameter; default value not supported for `ArrayType` and `TabularType`; can be null, in which case it means that no default value is set.
  `legalValues` - each contained value must be valid for the openType specified for this parameter; legal values not supported for `ArrayType` and `TabularType`; can be null or empty.
Throws:
  `java.lang.IllegalArgumentException` - if name or description are null or empty string, or openType is null.
  `OpenDataException` - if defaultValue is not a valid value for the specified openType, or one value in legalValues is not valid for the specified openType, or defaultValue is non null and openType is an `ArrayType` or a `TabularType`, or legalValues is non null and non empty and openType is an `ArrayType` or a `TabularType`, or legalValues is non null and non empty and defaultValue is not contained in legalValues.

### OpenMBeanParameterInfoSupport

    public OpenMBeanParameterInfoSupport(java.lang.String name,
                                         java.lang.String description,
                                         OpenType openType,
                                         java.lang.Object defaultValue,
                                         java.lang.Comparable minValue,
                                         java.lang.Comparable maxValue)
                                  throws OpenDataException

  Constructs an `OpenMBeanParameterInfoSupport` instance, which describes the parameter used in one or more operations or constructors of a class of open MBeans, with the specified name, openType, description, defaultValue, minValue and maxValue. It is possible to specify minimal and maximal values only for an open type whose values are `Comparable`.

Parameters:
  `name` - cannot be a null or empty string.
  `description` - cannot be a null or empty string.
  `openType` - cannot be null.
  `defaultValue` - must be a valid value for the openType specified for this parameter; default value not supported for `ArrayType` and `TabularType`; can be null, in which case it means that no default value is set.
  `minValue` - must be valid for the openType specified for this parameter; can be null, in which case it means that no minimal value is set.
  `maxValue` - must be valid for the openType specified for this parameter; can be null, in which case it means that no maximal value is set.
Throws:
  `java.lang.IllegalArgumentException` - if name or description are null or empty string, or openType is null.
  `OpenDataException` - if defaultValue, minValue or maxValue is not a valid value for the specified openType, or defaultValue is non null and openType is an `ArrayType` or a `TabularType`, or both minValue and maxValue are non-null and `minValue.compareTo(maxValue) > 0` is `true`, or both defaultValue and minValue are non-null and `minValue.compareTo(defaultValue) > 0` is `true`, or both defaultValue and maxValue are non-null and `defaultValue.compareTo(maxValue) > 0` is `true`.

Method Detail

### getOpenType

    public OpenType getOpenType()

  Returns the open type for the values of the parameter described by this `OpenMBeanParameterInfoSupport` instance.

  Specified by:
    `getOpenType` in interface `OpenMBeanParameterInfo`
  Returns:
    the open type.

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Returns the default value for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.

  Specified by:
    `getDefaultValue` in interface `OpenMBeanParameterInfo`
  Returns:
    the default value.

### getLegalValues

    public java.util.Set getLegalValues()

  Returns an unmodifiable Set of legal values for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.

  Specified by:
    `getLegalValues` in interface `OpenMBeanParameterInfo`
  Returns:
    the set of legal values.

### getMinValue

    public java.lang.Comparable getMinValue()

  Returns the minimal value for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.

  Specified by:
    `getMinValue` in interface `OpenMBeanParameterInfo`
  Returns:
    the minimum value.

### getMaxValue

    public java.lang.Comparable getMaxValue()

  Returns the maximal value for the parameter described by this `OpenMBeanParameterInfoSupport` instance, if specified, or `null` otherwise.

  Specified by:
    `getMaxValue` in interface `OpenMBeanParameterInfo`
  Returns:
    the maximum value.

### hasDefaultValue

    public boolean hasDefaultValue()

  Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null default value for the described parameter, `false` otherwise.

  Specified by:
    `hasDefaultValue` in interface `OpenMBeanParameterInfo`
  Returns:
    true if there is a default value.

### hasLegalValues

    public boolean hasLegalValues()

  Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null set of legal values for the described parameter, `false` otherwise.

  Specified by:
    `hasLegalValues` in interface `OpenMBeanParameterInfo`
  Returns:
    true if there is a set of legal values.

### hasMinValue

    public boolean hasMinValue()

  Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null minimal value for the described parameter, `false` otherwise.

  Specified by:
    `hasMinValue` in interface `OpenMBeanParameterInfo`
  Returns:
    true if there is a minimum value.

### hasMaxValue

    public boolean hasMaxValue()

  Returns `true` if this `OpenMBeanParameterInfoSupport` instance specifies a non-null maximal value for the described parameter, `false` otherwise.

  Specified by:
    `hasMaxValue` in interface `OpenMBeanParameterInfo`
  Returns:
    true if there is a maximum value.

### isValue

    public boolean isValue(java.lang.Object obj)

  Tests whether obj is a valid value for the parameter described by this `OpenMBeanParameterInfo` instance.

  Specified by:
    `isValue` in interface `OpenMBeanParameterInfo`
  Parameters:
    `obj` - the object to be tested.
  Returns:
    `true` if obj is a valid value for the parameter described by this `OpenMBeanParameterInfo` instance, `false` otherwise.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the specified obj parameter with this `OpenMBeanParameterInfoSupport` instance for equality.

  Returns `true` if and only if all of the following statements are true:

  - obj is non null,
  - obj also implements the `OpenMBeanParameterInfo` interface,
  - their names are equal
  - their open types are equal
  - their default, min, max and legal values are equal.
  This ensures that this `equals` method works properly for obj parameters which are different implementations of the `OpenMBeanParameterInfo` interface.

  Specified by:
    `equals` in interface `OpenMBeanParameterInfo`
  Overrides:
    `equals` in class `MBeanParameterInfo`
  Parameters:
    `obj` - the object to be compared for equality with this `OpenMBeanParameterInfoSupport` instance;
  Returns:
    `true` if the specified object is equal to this `OpenMBeanParameterInfoSupport` instance.

### hashCode

    public int hashCode()

  Returns the hash code value for this `OpenMBeanParameterInfoSupport` instance.

  The hash code of an `OpenMBeanParameterInfoSupport` instance is the sum of the hash codes of all elements of information used in `equals` comparisons (ie: its name, its open type, and its default, min, max and legal values).

  This ensures that `t1.equals(t2)` implies that `t1.hashCode()==t2.hashCode()` for any two `OpenMBeanParameterInfoSupport` instances `t1` and `t2`, as required by the general contract of the method `Object.hashCode()`.

  However, note that another instance of a class implementing the `OpenMBeanParameterInfo` interface may be equal to this `OpenMBeanParameterInfoSupport` instance as defined by `equals(java.lang.Object)`, but may have a different hash code if it is calculated differently.

  As `OpenMBeanParameterInfoSupport` instances are immutable, the hash code for this instance is calculated once, on the first call to `hashCode`, and then the same value is returned for subsequent calls.

  Specified by:
    `hashCode` in interface `OpenMBeanParameterInfo`
  Overrides:
    `hashCode` in class `MBeanParameterInfo`
  Returns:
    the hash code value for this `OpenMBeanParameterInfoSupport` instance

### toString

    public java.lang.String toString()

  Returns a string representation of this `OpenMBeanParameterInfoSupport` instance.

  The string representation consists of the name of this class (ie `javax.management.openmbean.OpenMBeanParameterInfoSupport`), the string representation of the name and open type of the described parameter, and the string representation of its default, min, max and legal values.

  As `OpenMBeanParameterInfoSupport` instances are immutable, the string representation for this instance is calculated once, on the first call to `toString`, and then the same value is returned for subsequent calls.

  Specified by:
    `toString` in interface `OpenMBeanParameterInfo`
  Returns:
    a string representation of this `OpenMBeanParameterInfoSupport` instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.